Subject: Re: [bug-diffutils] bug#24311: [PATCH] maint: accommodate LP64 systems

From: Paul Eggert <[email-masked]>
Date: Sat, 27 Aug 2016 16:10:22 -0700

Peter Rosin wrote:
> Are you trying to argue

No, I'm trying to solve the problem. If it's just as easy to solve the problem 
even on oddball platforms, then we might as well solve it in a portable way. 
(After all, that's the main justification for the patch I just installed, where 
the "oddball platform" in this case is Mingw-w64. :-)

> (pending the time when %td w/ ptrdiff_t is generally available)

If "generally available" means "even Microsoft supports it", then I wouldn't 
hold my breath. Although %td has been part of the C standard for 17 years, 
MS-Windows still does not support it.